Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.xml
Class XMLFeatureSet.XMLFeatureState

    java.lang.Object
      org.crosswire.common.xml.XMLFeatureSet.XMLFeatureState

Enclosing class:
  XMLFeatureSet

    private class XMLFeatureSet.XMLFeatureState

extends Object

A holder of the boolean state for a feature.

Field Summary
`private XMLFeature` | `feature`
`private boolean` | `state`

Constructor Summary
`XMLFeatureSet.XMLFeatureState(XMLFeature feature)`
`XMLFeatureSet.XMLFeatureState(XMLFeature feature, boolean state)`

Method Summary
`XMLFeature` | `getFeature()`
`boolean` | `getState()`
`void` | `setFeature(XMLReader parser)` Set the control state on the parser.
`void` | `setState(boolean newState)` Set the new state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    private boolean state

### feature

    private XMLFeature feature

Constructor Detail

### XMLFeatureSet.XMLFeatureState

    public XMLFeatureSet.XMLFeatureState(XMLFeature feature,
                                         boolean state)

### XMLFeatureSet.XMLFeatureState

    public XMLFeatureSet.XMLFeatureState(XMLFeature feature)

Method Detail

### getFeature

    public XMLFeature getFeature()

  Returns:
    Returns the feature.

### getState

    public boolean getState()

  Returns:
    Returns the state.

### setState

    public void setState(boolean newState)

  Set the new state

  Parameters:
    `newState` -

### setFeature

    public void setFeature(XMLReader parser)

  Set the control state on the parser.

  Parameters:
    `parser` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD